Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1442 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

[patch] rxantenna value is reset after suspend/resume

Reported by: espy@pepper.com Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

If diversity is disabled and rxantenna is set to 2, a suspend/resume resets the rxantenna to 1.

I discovered this on the Pepper Pad 3, on which we explicitly disable diversity via sysctl and peg both antennas to 2:

sysctl dev.wifi0.diverity=0
sysctl dev.wifi0.rxantenna=2
sysctl dev.wifi0.txantenna=2

A customer of ours reported that their pad would only associate with his access point the first time he booted it, but would fail to associate after waking from sleep. This report in turn led to the discovery of this bug.

Attachments

madwifi-rxantenna.patch (0.8 kB) - added by espy@pepper.com on 07/17/07 03:38:52.
rxantenna resume patch

Change History

07/17/07 03:38:14 changed by espy@pepper.com

The attached patch checks to see if the HAL's rxantenna value differs from the driver's saved value on a resume, and if they differ, the saved value is used to reset the rxantenna.

Signed-off-by: Tony Espy <espy@pepper.com>

07/17/07 03:38:52 changed by espy@pepper.com

  • attachment madwifi-rxantenna.patch added.

rxantenna resume patch

07/17/07 04:14:08 changed by mentor

07/18/07 23:26:07 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

07/18/07 23:26:22 changed by mentor

  • milestone set to version 0.9.4.

02/11/08 06:21:28 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.